Investigate/test claimTask after task.deadline

RESOLVED FIXED

Status

RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: bhearsum, Unassigned)

Tracking

Details

While debugging some buildbot bridge stuff I found this task: https://tools.taskcluster.net/task-inspector/#KD5lEi6qSO-PCOhg7exRTg/

In its definition I see:
"deadline": "2015-09-14T23:50:28.653Z",
"expires": "2016-09-14T23:50:28.653Z",

Yet its only run was not resolved as deadline-exceed until 2015-09-15T11:26:08.354Z.

I'm probably misunderstanding something here...but it looks like this Task was not expired correctly?
(Reporter)

Updated

3 years ago
Blocks: 1204910
I think it could be our deadline resolution queue that was overloaded, or the deadline resolver
had too many tasks to process...

I'll take a look at this...

IMO: it's not really a critical thing. And the only promise from taskcluster-queue perspective is that
unresolved tasks will be resolved deadline-exceeded at some point after task.deadline.
Ie. eventually, normally it should be fairly fast, but 11 hours later is still eventually to me :)
Flags: needinfo?(jopsen)
OK, if this is expected I guess we have to cope with it...it's quite surprising to not be able to cancel a job whose state is "running" though...
We really should investigate this and see if it's a common problem.

IMO, it's just a delay, not anything critical...
When you get 409 from a task it's no longer yours to deal with.

Anyways, I'm clearing the NI, maybe I'll get around to looking at this some day.
Flags: needinfo?(jopsen)
I don't think it should be possible to call: claimTask after task.deadline, but maybe I need to add
a test case for this.
Summary: Task not expired correctly? → Investigate/test claimTask after task.deadline

Updated

2 years ago
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.